Subject: [PATCH net-next 0/2] Add mdiobus_modify_changed() helper

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 6 Oct 2021 13:18:41 +0100

Hi,

Sean Anderson's recent patch series is introducing more read-write
operations on the MDIO bus that only need to happen if a change is
being made.

We have similar logic in __mdiobus_modify_changed(), but we didn't
add its correponding locked variant mdiobus_modify_changed() as we
had very few users. Now that we are getting more, let's add the
helper.

v2: fix build warnings in patch2, add Andrew's RB to patch 1

 drivers/net/phy/mdio_bus.c | 22 ++++++++++++++++++++++
 drivers/net/phy/phylink.c  | 29 ++++-------------------------
 include/linux/mdio.h       |  2 ++
 3 files changed, 28 insertions(+), 25 deletions(-)

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!